## chirp 20200227+py3+20200213

=== requirements.txt ===
six
PyGObject;python_version>="3.0"
pyserial
future

=== locale/Makefile ===
LOCALES = en_US pl it nl de hu ru pt_BR fr uk_UA es_ES
MOFILES = $(patsubst %,%/LC_MESSAGES/CHIRP.mo,$(LOCALES))

COPY="Dan Smith <dsmith@danplanet.com>"
PKG=CHIRP
XGT_OPTS=--copyright-holder=$(COPY) --package-name=$(PKG)

all: $(MOFILES)

clean:
	rm -f $(MOFILES) *~ *.orig
	find . -name '*.mo' -exec rm -f "{}" \;
	find * -depth -type d -exec rmdir "{}" \;

chirpui.pot:
	/usr/bin/find ../chirp/ui -name '*.py' > .files
	xgettext -L Python -k_ -o chirpui.pot -f .files $(XGT_OPTS)

%.po: chirpui.pot
	if [ -f $@ ]; then                                \
	msgmerge -U $@ chirpui.pot;                       \
	else                                              \
	msginit --input=chirpui.pot --locale=$(@:%.po=%); \
	fi

%/LC_MESSAGES/CHIRP.mo: %.po
	mkdir -p $(shell dirname $@)
	msgfmt --output-file=$@ $^

## chirp 0.1.12

=== debian/changelog ===
chirp (0.1.12-1) unstable; urgency=low

  * Latest release from upstream
  * Ready for initial debian upload (Closes: 612965)

 -- Steve Conklin <steve@conklinhouse.com>  Mon, 26 Sep 2011 12:55:16 -0600

=== debian/control ===
Source: chirp
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), python-support, python (>=2.6)
Standards-Version: 3.9.2
Homepage: http://chirp.danplanet.com/

Package: chirp
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-libxslt1, python-gtk2, python-libxml2, python-serial
Description: Configuration tool for amateur radios
 Chirp is a tool for saving, restoring, and managing memory
 and preset data in amateur radios

## chirp 0.3.1

=== debian/changelog ===
chirp (0.3.1-3) unstable; urgency=low

  * change architecture to linux-any in control due to #723873 in python-serial
    breaking non-linux builds

 -- Bdale Garbee <bdale@gag.com>  Sat, 21 Sep 2013 00:44:46 -0600

chirp (0.3.1-2) unstable; urgency=low

  * move python dependency to >=2.7, hopefully will resolve kfreebsd build
    failures so we can promote to testing .. thanks to Colin Tuckley for
    pointing this out.

 -- Bdale Garbee <bdale@gag.com>  Sat, 07 Sep 2013 15:41:32 -0600

chirp (0.3.1-1) unstable; urgency=low

  * new upstream version, closes: #672318
  * add myself to the Uploaders list
  * create a collab-maint git repo to host chirp packaging henceforth
  
 -- Bdale Garbee <bdale@gag.com>  Wed, 07 Aug 2013 22:51:41 -0600

chirp (0.3.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #672318)
  * updated debian/copyright for 1.0 format
  * updated to debhelper compat 9
  * update Standards-Version to 3.9.4 (no changes required)
  * add dependencies python-libxml2 and python-serial
  * update patches for new upstream version

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 24 Mar 2013 16:19:14 -0400

=== debian/control ===
Source: chirp
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>, Bdale Garbee <bdale@gag.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), python-support, python (>=2.7), python-libxml2, python-serial
Standards-Version: 3.9.4
Homepage: http://chirp.danplanet.com/
Vcs-Git: git://git.debian.org/git/collab-maint/chirp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/chirp.git

Package: chirp
Architecture: linux-any
Depends: ${misc:Depends}, ${python:Depends}, python-libxslt1, python-gtk2, python-libxml2, python-serial
Description: Configuration tool for amateur radios
 Chirp is a tool for saving, restoring, and managing memory
 and preset data in amateur radios

=== debian/watch ===
version=3
http://chirp.danplanet.com/projects/chirp/wiki/Download .*/chirp-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## chirp 0.4.0

=== debian/changelog ===
chirp (0.4.0-1) unstable; urgency=low

  * new upstream version, thanks to Christopher Knadle for his help with it
  * debian/control:
      - Standards-Version: update to 3.9.5 (no changes needed)
      - Remove obsolete DM-Upload-Allowed entry
      - Cononicalize VCS links
  * debian/source/lintian-overrides:
      - add override debian-watch-may-check-gpg-signature
        upstream does not sign tarballs

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Jun 2014 12:55:21 -0600

## chirp 0.4.1

=== debian/changelog ===
chirp (0.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python-support Build-Depend in favour of dh-python, it's already been
    ported to dh_python2 (Closes: #785972).

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Aug 2015 15:10:55 +0200

chirp (0.4.1-1.0) unstable; urgency=medium

  * Non-maintainer upload
  * new upstream version fixing critical issue with some Baofeng radios
    (Closes: #767029)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Oct 2014 17:08:43 -0400

=== debian/control ===
Source: chirp
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9), dh-python, python (>=2.7), python-libxml2, python-serial
Standards-Version: 3.9.5
Homepage: http://chirp.danplanet.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/chirp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/chirp.git

Package: chirp
Architecture: linux-any
Depends: ${misc:Depends}, ${python:Depends}, python-libxslt1, python-gtk2, python-libxml2, python-serial
Description: Configuration tool for amateur radios
 Chirp is a tool for saving, restoring, and managing memory
 and preset data in amateur radios

## chirp 20151023

=== debian/changelog ===
chirp (1:20151023-1) unstable; urgency=medium

  * New upstream version (Closes: #798947)
  * Refreshed patches:
   - 01-fix-manifest.patch
   - 02-fix-setup-py.patch
  * d/control:
   - Bumped standards version to 3.9.6
   - Added X-Python-Version (>=2.7)
   - Removed inactive uploaders
   - Added myself as uploader
   - Moved Vcs-Git to pkg-hamradio
   - Reformatted with cme
  * d/watch:
   - Fixed for new downloads location
  * d/rules:
   - Removed useless comments

 -- Iain R. Learmonth <irl@debian.org>  Sun, 01 Nov 2015 15:57:22 +0000

## chirp 20151225

=== debian/changelog ===
chirp (1:20151225-1) unstable; urgency=medium

  * New upstream version.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 25 Dec 2015 11:40:15 +0000

chirp (1:20151212-1) unstable; urgency=medium

  * New upstream version.
  * Refreshed patch:
   - 04-remove-redundant-license.patch

 -- Iain R. Learmonth <irl@debian.org>  Sun, 13 Dec 2015 13:07:06 +0000

## chirp 20160110

=== debian/changelog ===
chirp (1:20160110-1) unstable; urgency=medium

  * New upstream version.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 13 Jan 2016 13:00:32 +0000

=== debian/control ===
Source: chirp
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: hamradio
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python (>= 2.7),
               python-libxml2,
               python-serial
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/chirp.git
Vcs-Git: git://anonscm.debian.org/pkg-hamradio/chirp.git
Homepage: http://chirp.danplanet.com/
X-Python-Version: >=2.7

Package: chirp
Architecture: linux-any
Depends: ${misc:Depends},
         ${python:Depends},
         python-libxslt1,
         python-gtk2,
         python-libxml2,
         python-serial
Description: Configuration tool for amateur radios
 Chirp is a tool for saving, restoring, and managing memory
 and preset data in amateur radios

## chirp 20160415

=== debian/changelog ===
chirp (1:20160415-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
   - New patch to add more detail to the man page
   - New patch for desktop file:
    - Added Keywords field
    - Added ability for files to be opened in CHIRP
    - Removing deprecated Encoding field
  * debian/control:
   - Improving extended description

 -- Iain R. Learmonth <irl@debian.org>  Fri, 15 Apr 2016 16:33:08 +0100

chirp (1:20160402-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
   - Updated standards version to 3.9.7
   - Removed versioned dependency for python
   - Changed Vcs-* fields to secure URIs
  * debian/copyright:
   - Update locations, drivers now in chirp/drivers/

 -- Iain R. Learmonth <irl@debian.org>  Mon, 04 Apr 2016 19:03:59 +0100

=== debian/control ===
Source: chirp
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: hamradio
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-libxml2,
               python-serial
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/chirp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/chirp.git
Homepage: http://chirp.danplanet.com/
X-Python-Version: >=2.7

Package: chirp
Architecture: linux-any
Depends: ${misc:Depends},
         ${python:Depends},
         python-libxslt1,
         python-gtk2,
         python-libxml2,
         python-serial
Description: Configuration tool for amateur radios
 CHIRP is a free, open-source tool for programming your amateur radio. It
 supports a large number of manufacturers and models, as well as provides a way
 to interface with multiple data sources and formats.
 .
 CHIRP can handle data in the following formats:
  - Comma Separated Values (.csv)
  - Comma Separated Values generated by RT Systems (.csv)
  - EVE for Yaesu VX-5 (.eve)
  - Kenwood HMK format (.hmk)
  - Kenwood commercial ITM format (.itm)
  - Icom Data Files (.icf)
  - ARRL TravelPlus (.tpe)
  - VX5 Commander Files (.vx5)
  - VX7 Commander Files (.vx7)
 .
 Most popular modern amateur radios are supported by CHIRP via their interface
 cables.

## chirp 20160419

=== debian/changelog ===
chirp (1:20160419-1) unstable; urgency=medium

  * New upstream version
  * Updates manpages to include working with files 

 -- Ana Custura <ana@netstat.org.uk>  Fri, 29 Apr 2016 10:42:18 +0100

## chirp 20160717

=== debian/changelog ===
chirp (1:20160717-1) unstable; urgency=medium

  * New upstream version (Closes: #817237)
  * Phoning home has been disabled (Closes: #829494)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 25 Jul 2016 19:38:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: chirp
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
 Section: hamradio
 Priority: optional
 Build-Depends: debhelper (>= 9),

## chirp 20161102

=== debian/changelog ===
chirp (1:20161102-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 10 Nov 2016 11:39:14 +0000

chirp (1:20161102-1) unstable; urgency=medium

  * New upstream version (Closes: #843195)

 -- Iain R. Learmonth <irl@debian.org>  Tue, 08 Nov 2016 11:56:14 +0000

## chirp 20161123

=== debian/changelog ===
chirp (1:20161123-1) unstable; urgency=medium

  * New upstream version

 -- Iain R. Learmonth <irl@debian.org>  Sat, 03 Dec 2016 15:42:54 +0000

## chirp 20170124

=== debian/changelog ===
chirp (1:20170124-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control
    - Updated Standards Version
    - Added myself to uploaders

 -- Dave Hibberd <d@vehibberd.com>  Tue, 24 Jan 2017 20:35:53 +0000

## chirp 20170714

=== debian/changelog ===
chirp (1:20170714-1) unstable; urgency=medium

  * New upstream version

 -- Iain R. Learmonth <irl@debian.org>  Sun, 16 Jul 2017 00:45:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: chirp
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>, Dave Hibberd <d@vehibberd.com>
 Section: hamradio
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -8,7 +8,7 @@
                python,
                python-libxml2,
                python-serial
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/chirp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/chirp.git
 Homepage: http://chirp.danplanet.com/

=== debian/watch ===
version=3
http://trac.chirp.danplanet.com/chirp_daily/LATEST/ chirp-daily-(\d.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## chirp 20180815

=== debian/changelog ===
chirp (1:20180815-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version

  [ Ana C. Custura ]
  * Updates Standards-Version to 4.2.0
  * Updates VCS fields
  * Removes ancient python version field
  * New upstream version 20180815
  * Updates patch file

 -- Ana Custura <ana@netstat.org.uk>  Thu, 16 Aug 2018 13:13:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
                python,
                python-libxml2,
                python-serial
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/chirp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/chirp.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
 Homepage: http://chirp.danplanet.com/
-X-Python-Version: >=2.7
 
 Package: chirp
 Architecture: linux-any

## chirp 20181018

=== debian/changelog ===
chirp (1:20181018-0.1~mx15+1) mx; urgency=medium

  * New upstream source; rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Nov 2018 17:32:04 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: chirp
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>, Dave Hibberd <d@vehibberd.com>
 Section: hamradio
 Priority: optional

## chirp 20190104

=== debian/changelog ===
chirp (1:20190104-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version

  [ Ana C. Custura ]
  * Bumps debhelper version to 11
  * Fixes insecure URLs

 -- Ana Custura <ana@netstat.org.uk>  Sun, 06 Jan 2019 22:18:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: chirp
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>, Dave Hibberd <d@vehibberd.com>
 Section: hamradio
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python,
                python-libxml2,
@@ -12,7 +11,7 @@
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
-Homepage: http://chirp.danplanet.com/
+Homepage: https://chirp.danplanet.com/
 
 Package: chirp
 Architecture: linux-any

## chirp 20190718

=== debian/changelog ===
chirp (1:20190718-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Aug 2019 17:22:12 -0700

chirp (1:20190718-1) unstable; urgency=medium

  [ Ana C. Custura ]
  * New upstream version 20190718
  * Disables mimetype in chirp.desktop (Closes: #914421)
  * Removes unnecessary patch
  * Bump S-V to 4.4.0 (no changes required)
  * Updates patch metadata

 -- Ana Custura <ana@netstat.org.uk>  Tue, 30 Jul 2019 13:32:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,9 @@
 Source: chirp
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>, Ana Custura <ana@netstat.org.uk>, Dave Hibberd <d@vehibberd.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>,
+           Ana Custura <ana@netstat.org.uk>,
+           Dave Hibberd <d@vehibberd.com>
 Section: hamradio
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -8,7 +11,7 @@
                python,
                python-libxml2,
                python-serial
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
 Homepage: https://chirp.danplanet.com/

## chirp 20191022

=== debian/changelog ===
chirp (1:20191022-0.1~mx19+1) mx; urgency=medium

  * New build of daily snapshot.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Oct 2019 17:16:02 -0700

chirp (1:20190718-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Aug 2019 17:22:12 -0700

## chirp 20191221

=== debian/changelog ===
chirp (1:20191221-2) unstable; urgency=medium

  * Use Architecture: all.
  * Use DH 12 and buildsystem pybuild.
  * Recommend python-future for chirp.drivers.tk8180.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Dec 2019 11:16:38 +0100

chirp (1:20191221-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Dec 2019 18:14:01 +0100

=== debian/control ===
Source: chirp
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Iain R. Learmonth <irl@debian.org>,
 Ana Custura <ana@netstat.org.uk>,
 Dave Hibberd <d@vehibberd.com>,
 Christoph Berg <myon@debian.org>,
Section: hamradio
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python,
 python-libxml2,
 python-serial,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
Homepage: https://chirp.danplanet.com/

Package: chirp
Architecture: all
Multi-Arch: foreign
Depends:
 python-gtk2,
 python-libxml2,
 python-libxslt1,
 python-serial,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-future,
Description: Configuration tool for amateur radios
 CHIRP is a free, open-source tool for programming your amateur radio. It
 supports a large number of manufacturers and models, as well as provides a way
 to interface with multiple data sources and formats.
 .
 CHIRP can handle data in the following formats:
  - Comma Separated Values (.csv)
  - Comma Separated Values generated by RT Systems (.csv)
  - EVE for Yaesu VX-5 (.eve)
  - Kenwood HMK format (.hmk)
  - Kenwood commercial ITM format (.itm)
  - Icom Data Files (.icf)
  - ARRL TravelPlus (.tpe)
  - VX5 Commander Files (.vx5)
  - VX7 Commander Files (.vx7)
 .
 Most popular modern amateur radios are supported by CHIRP via their interface
 cables.

## chirp 20200107

=== debian/changelog ===
chirp (1:20200107-1) unstable; urgency=medium

  * New upstream version.
  * Remove python-libxslt1 dependency, not used.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Jan 2020 12:14:08 +0100

## chirp 20200206

=== debian/changelog ===
chirp (1:20200206-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2020 10:00:19 +0100

## chirp 20200207

=== debian/changelog ===
chirp (1:20200207-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 08 Feb 2020 16:37:37 +0100

## chirp 20200213

=== debian/changelog ===
chirp (1:20200213-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 15 Feb 2020 11:24:57 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
 Depends:
  python-gtk2,
  python-libxml2,
- python-libxslt1,
  python-serial,
  ${misc:Depends},
  ${python:Depends},

## chirp 20200227

=== debian/changelog ===
chirp (1:20200227-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 28 Feb 2020 13:16:20 +0100

## chirp 20200227+py3+20200213

=== debian/changelog ===
chirp (1:20200227+py3+20200213-3) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-future (Closes: #968489)
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 16 Aug 2020 16:29:10 -0700

chirp (1:20200227+py3+20200213-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Remove debug.log file that contained non-reproducible data.
    (Closes: #968183)

 -- Christoph Berg <myon@debian.org>  Mon, 10 Aug 2020 13:24:57 +0200

chirp (1:20200227+py3+20200213-1) unstable; urgency=medium

  * Switch to upstream py3 branch based on python3-wxgtk4.0.
    (Closes: #885265, #936299)
  * Lots of python3 porting missing, tested so far: Baofeng UV-5R.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 22:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,29 @@
 Section: hamradio
 Priority: optional
 Build-Depends:
+ debhelper (>= 12.8),
  debhelper-compat (= 12),
  dh-python,
- python,
- python-libxml2,
- python-serial,
+ python3,
+ python3-future,
+ python3-serial,
+ python3-six,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
 Homepage: https://chirp.danplanet.com/
+Rules-Requires-Root: no
 
 Package: chirp
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python-gtk2,
- python-libxml2,
- python-serial,
+ python3-future,
+ python3-serial,
+ python3-six,
+ python3-wxgtk4.0,
  ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-future,
+ ${python3:Depends},
 Description: Configuration tool for amateur radios
  CHIRP is a free, open-source tool for programming your amateur radio. It
  supports a large number of manufacturers and models, as well as provides a way

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	mv debian/chirp/usr/bin/chirpwx.py debian/chirp/usr/bin/chirpw
	find debian/chirp/usr/lib -type f -name debug.log -delete

=== debian/watch ===
version=3
https://trac.chirp.danplanet.com/chirp_daily/LATEST/ chirp-daily-(\d.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## chirp 20221106%2Bpy3

=== debian/changelog ===
chirp (1:20221106+py3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version 20221106+py3.
  * Switch upstream to github. (Closes: #1012538)

 -- Christoph Berg <myon@debian.org>  Tue, 08 Nov 2022 12:03:58 +0100

chirp (1:20200227+py3+20200213-4) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team Upload.
  * Pull in patch set from https://github.com/atpage/chirp - this fork fixes
    a significant amount of bugs from the py3 branch that we havn't got to yet.

 -- Dave Hibberd <d@vehibberd.com>  Sat, 20 Mar 2021 22:43:37 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# skip tests until upstream python3 migration is complete

execute_after_dh_auto_install:
	mv debian/chirp/usr/bin/chirpwx.py debian/chirp/usr/bin/chirpw
	find debian/chirp/usr/lib -type f -name debug.log -delete

=== debian/watch ===
version=4
https://trac.chirp.danplanet.com/chirp_daily/LATEST/ chirp-daily-(\d.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## chirp 20221106+py3

=== Makefile ===
#
#
# Makefile for serialsniff
#
# Author: IT2 Stuart Blake Tener, USNR (N3GWG)
#
# Version 1.00
#
#	This makefile checks to see if we are running under the OS "Darwin"
#	and passes the proper macro flag ("MACOS") if we are.
#
#	Incidentally, it is noteworthy that MacOS (Darwin) is not the only
#	operating system which is deficient some of the library routines
#	MacOS is currently defficient. Thus, it is instructive that other
#	operating systems names might need to be added for compilation to
#	become occurring in their environments.
#
#

ifndef SYSNAME
	SYSNAME := $(shell uname -s)
	ifeq ($(SYSNAME),Darwin)
		MYFLAGS	:= "-DMACOS"
		REMOVE	:= srm -vrfz
	else
		REMOVE	:= rm -rf
	endif
endif

serialsniff: serialsniff.c
	$(CC) $? -o $@ $(LDFLAGS) $(CFLAGS) $(MYFLAGS)

clean:
	$(REMOVE)  serialsniff *~ *.o *.bak core tags shar a.out

=== requirements.txt ===
six
wxPython>=4.0,<4.2.0 # See https://github.com/wxWidgets/Phoenix/issues/2225
pyserial
future
requests

=== debian/changelog ===
chirp (1:20221106+py3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Nov 2022 15:26:03 -0800

=== debian/control ===
Source: chirp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Ana Custura <ana@netstat.org.uk>,
           Dave Hibberd <d@vehibberd.com>,
           Christoph Berg <myon@debian.org>
Section: hamradio
Priority: optional
Build-Depends: debhelper (>= 12.8),
               debhelper-compat (= 13),
               dh-python,
               python3,
               python3-future,
               python3-requests,
               python3-serial,
               python3-six
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
Homepage: https://chirp.danplanet.com/
Rules-Requires-Root: no

Package: chirp
Architecture: all
Multi-Arch: foreign
Depends: python3-future,
         python3-requests,
         python3-serial,
         python3-six,
         python3-wxgtk4.0,
         ${misc:Depends},
         ${python3:Depends}
Description: Configuration tool for amateur radios
 CHIRP is a free, open-source tool for programming your amateur radio. It
 supports a large number of manufacturers and models, as well as provides a way
 to interface with multiple data sources and formats.
 .
 CHIRP can handle data in the following formats:
  - Comma Separated Values (.csv)
  - Comma Separated Values generated by RT Systems (.csv)
  - EVE for Yaesu VX-5 (.eve)
  - Kenwood HMK format (.hmk)
  - Kenwood commercial ITM format (.itm)
  - Icom Data Files (.icf)
  - ARRL TravelPlus (.tpe)
  - VX5 Commander Files (.vx5)
  - VX7 Commander Files (.vx7)
 .
 Most popular modern amateur radios are supported by CHIRP via their interface
 cables.

## chirp 20231027

=== requirements.txt ===
six
wxPython>=4.0,<4.2.0 ; platform_system=="Linux" # See https://github.com/wxWidgets/Phoenix/issues/2225
wxPython==4.2.0 ; platform_system!="Linux"
pyserial
future
requests
pywin32; platform_system=="Windows"
suds
importlib-resources;python_version<"3.10"
yattag

=== debian/changelog ===
chirp (1:20231027-1) unstable; urgency=medium

  * New d/watch to reflect upstream changes
  * Updates to d/control for new dependencies
  * Standards bumped to 4.6.2
  * Major updates to d/patches to reflect new code
  * d/rules modified to remove extraneous files
  * Addition of d/install and d/manpages
  * d/copyright updated with debian contributors and licensecheck for other
    files

 -- Dave Hibberd <d@vehibberd.com>  Sat, 28 Oct 2023 16:22:19 +0100

chirp (1:20221106+py3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Dave Hibberd <d@vehibberd.com>  Mon, 16 Oct 2023 22:05:28 +0100

=== debian/control ===
Source: chirp
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Ana Custura <ana@netstat.org.uk>,
 Dave Hibberd <d@vehibberd.com>,
 Christoph Berg <myon@debian.org>,
Section: hamradio
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-future,
 python3-requests,
 python3-serial,
 python3-six,
 python3-yattag,
 wxpython-tools,
 python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
Homepage: https://chirp.danplanet.com/
Rules-Requires-Root: no

Package: chirp
Architecture: all
Multi-Arch: foreign
Depends:
 python3-future,
 python3-requests,
 python3-serial,
 python3-six,
 python3-yattag,
 wxpython-tools,
 ${misc:Depends},
 ${python3:Depends},
Description: Configuration tool for amateur radios
 CHIRP is a free, open-source tool for programming your amateur radio. It
 supports a large number of manufacturers and models, as well as provides a way
 to interface with multiple data sources and formats.
 .
 CHIRP can handle data in the following formats:
  - Comma Separated Values (.csv)
  - Comma Separated Values generated by RT Systems (.csv)
  - EVE for Yaesu VX-5 (.eve)
  - Kenwood HMK format (.hmk)
  - Kenwood commercial ITM format (.itm)
  - Icom Data Files (.icf)
  - ARRL TravelPlus (.tpe)
  - VX5 Commander Files (.vx5)
  - VX7 Commander Files (.vx7)
 .
 Most popular modern amateur radios are supported by CHIRP via their interface
 cables.

## chirp 20240122

=== debian/changelog ===
chirp (1:20240122-1) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * New upstream version 20240122.
  * Removed python3-future from d/control
    Build-Depends and Depends. (Closes: #1059110)
  * Patch for replacing python3-future in chrip/chirp_common.py,
    setup.py and requirements files.
  * Revised old patches to fit new upstream version.
  * Fixed lintian warning in copyright.

 -- Dave Hibberd <hibby@debian.org>  Fri, 26 Jan 2024 00:04:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Ana Custura <ana@netstat.org.uk>,
- Dave Hibberd <d@vehibberd.com>,
+ Dave Hibberd <hibby@debian.org>,
  Christoph Berg <myon@debian.org>,
 Section: hamradio
 Priority: optional
@@ -10,7 +10,6 @@
  debhelper-compat (= 13),
  dh-python,
  python3,
- python3-future,
  python3-requests,
  python3-serial,
  python3-six,
@@ -27,7 +26,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- python3-future,
  python3-requests,
  python3-serial,
  python3-six,

## chirp 20240224

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 wxPython>=4.0,<4.2.0 ; platform_system=="Linux" # See https://github.com/wxWidgets/Phoenix/issues/2225
 wxPython==4.2.0 ; platform_system!="Linux"
 pyserial
-future
 requests
 pywin32; platform_system=="Windows"
 suds

=== debian/changelog ===
chirp (1:20240224-1ubuntu0.1) noble; urgency=medium

  * d/p/fix-no-section-error.patch: Fix "no section" error on fresh install
    (LP: #2071563)

 -- Daniel Rusek <mail@asciiwolf.com>  Fri, 13 Sep 2024 20:08:18 +0200

chirp (1:20240224-1) unstable; urgency=medium

  * New upstream import
    * Patches refreshed
  * Add python3-suds to Recommends
    * Thanks to Harlan Lieberman-Berg
  * Added .gitignore for .pc/ folder 

 -- Dave Hibberd <hibby@debian.org>  Sat, 24 Feb 2024 14:19:59 +0000

chirp (1:20240122-2) unstable; urgency=medium

  * Patch d/install to alllow launch (Closes: #1061692)
    - Thanks to Harlan Lieberman-Berg 

 -- Dave Hibberd <hibby@debian.org>  Wed, 31 Jan 2024 23:38:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: chirp
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Ana Custura <ana@netstat.org.uk>,
  Dave Hibberd <hibby@debian.org>,
@@ -33,6 +34,8 @@
  wxpython-tools,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-suds,
 Description: Configuration tool for amateur radios
  CHIRP is a free, open-source tool for programming your amateur radio. It
  supports a large number of manufacturers and models, as well as provides a way

=== debian/watch ===
version=4
https://trac.chirp.danplanet.com/chirp_next/next-(\d.*)/ chirp-(\d.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## chirp 20240413

=== debian/changelog ===
chirp (1:20240413-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove myself from Uploaders.

  [ Dave Hibberd ]
  * New Upstream import
    * Patches refreshed

 -- Dave Hibberd <hibby@debian.org>  Tue, 16 Apr 2024 23:38:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: chirp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Ana Custura <ana@netstat.org.uk>,
  Dave Hibberd <hibby@debian.org>,
- Christoph Berg <myon@debian.org>,
 Section: hamradio
 Priority: optional
 Build-Depends:

## chirp 20240901

=== debian/changelog ===
chirp (1:20240901-1) unstable; urgency=medium

  * New Upstream import 
  * Patches refreshed
  * Added d/chirp.pyinstall
    - This removes the need to patch around chirp.share module for more
    sustainable packaging in future
  * Added remove-desktop-popup.patch to stop the annoying nag on startup
  * d/control
    - Updated standards
    - New upstream website
    - Defined python versions per upstream documentation

 -- Dave Hibberd <hibby@debian.org>  Tue, 03 Sep 2024 00:16:03 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,11 @@
  python3-yattag,
  wxpython-tools,
  python3-setuptools
-Standards-Version: 4.6.2
+X-Python3-Version: >= 3.10, << 4.0
+Standards-Version: 4.7.0.1
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
-Homepage: https://chirp.danplanet.com/
+Homepage: https://chirpmyradio.com/
 Rules-Requires-Root: no
 
 Package: chirp

## chirp 20240905

=== debian/changelog ===
chirp (1:20240905-1) unstable; urgency=medium

  * Upstream bump
  * move python3-suds to required dependencies
    - Closes: #1080387
  * Introduce chirp cli binary, chirpc 

 -- Dave Hibberd <hibby@debian.org>  Tue, 10 Sep 2024 21:08:50 +0100

## chirp 20241025

=== debian/changelog ===
chirp (1:20241025-1) unstable; urgency=medium

  * Upstream bump 
  * Expanded d/upstream/metadata
  * Lintian Cleanup
    - Added license for metadata file
    - Added patch for experttune.py

 -- Dave Hibberd <hibby@debian.org>  Sat, 26 Oct 2024 01:32:13 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  python3-six,
  python3-yattag,
  wxpython-tools,
- python3-setuptools
+ python3-setuptools,
+ python3-suds
 X-Python3-Version: >= 3.10, << 4.0
 Standards-Version: 4.7.0.1
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
@@ -30,11 +31,10 @@
  python3-serial,
  python3-six,
  python3-yattag,
+ python3-suds,
  wxpython-tools,
  ${misc:Depends},
  ${python3:Depends},
-Recommends:
- python3-suds,
 Description: Configuration tool for amateur radios
  CHIRP is a free, open-source tool for programming your amateur radio. It
  supports a large number of manufacturers and models, as well as provides a way

## chirp 20241108

=== requirements.txt ===
wxPython>=4.0,<4.2.0 ; platform_system=="Linux" # See https://github.com/wxWidgets/Phoenix/issues/2225
wxPython==4.2.0 ; platform_system!="Linux"
pyserial
requests
pywin32; platform_system=="Windows"
suds
yattag

=== debian/changelog ===
chirp (1:20241108-1) unstable; urgency=medium

  * New Watch file  for new upstream location 
  * Upstream bump 

 -- Dave Hibberd <hibby@debian.org>  Wed, 13 Nov 2024 23:17:20 +0000

## chirp 20241122

=== debian/changelog ===
chirp (1:20241122-1) unstable; urgency=medium

  * Return the --install-desktop-app option
    - Closes: #1087845
  * New Upstream Release 
    - Removed 08-remove-six.patch

 -- Dave Hibberd <hibby@debian.org>  Sat, 23 Nov 2024 16:58:50 +0000

chirp (1:20241115-1) unstable; urgency=medium

  [ Daniele Forsi ]
  * Added 08-remove-six.patch (closes: #108766)

  [ Dave Hibberd ]
  * New Upstream release 

 -- Dave Hibberd <hibby@debian.org>  Tue, 19 Nov 2024 00:11:33 +0000

## chirp 20241227

=== debian/changelog ===
chirp (1:20241227-1) unstable; urgency=medium

  * New Upstream Release
  * Further tidying of d/copyright

 -- Dave Hibberd <hibby@debian.org>  Thu, 09 Jan 2025 23:34:52 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3,
  python3-requests,
  python3-serial,
- python3-six,
  python3-yattag,
  wxpython-tools,
  python3-setuptools,
@@ -29,7 +28,6 @@
 Depends:
  python3-requests,
  python3-serial,
- python3-six,
  python3-yattag,
  python3-suds,
  wxpython-tools,

## chirp 20250221

=== debian/changelog ===
chirp (1:20250221-1) unstable; urgency=medium

  * New upstream version 20250221
  * Bump standards version
  * Highlight where patches are debian specific and not to be forwarded

 -- Dave Hibberd <hibby@debian.org>  Thu, 27 Feb 2025 21:10:02 +0000

## chirp 20250502

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 pywin32; platform_system=="Windows"
 suds
 yattag
+lark

=== debian/changelog ===
chirp (1:20250502-1) unstable; urgency=medium

  * New Upstream version 20250502

 -- Dave Hibberd <hibby@debian.org>  Sun, 04 May 2025 23:59:12 +0100

## chirp 20250530

=== debian/changelog ===
chirp (1:20250530-1parrot1) lory; urgency=medium

  * Import new Upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 05 Jun 2025 15:08:15 +0200

chirp (1:20241227-1parrot1) lory; urgency=medium

  * Import new Debian Unstable release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 20 Jan 2025 00:11:35 +0100

## chirp 20250912

=== tools/Makefile ===
#
#
# Makefile for serialsniff
#
# Author: IT2 Stuart Blake Tener, USNR (N3GWG)
#
# Version 1.00
#
#	This makefile checks to see if we are running under the OS "Darwin"
#	and passes the proper macro flag ("MACOS") if we are.
#
#	Incidentally, it is noteworthy that MacOS (Darwin) is not the only
#	operating system which is deficient some of the library routines
#	MacOS is currently defficient. Thus, it is instructive that other
#	operating systems names might need to be added for compilation to
#	become occurring in their environments.
#
#

ifndef SYSNAME
	SYSNAME := $(shell uname -s)
	ifeq ($(SYSNAME),Darwin)
		MYFLAGS	:= "-DMACOS"
		REMOVE	:= srm -vrfz
	else
		REMOVE	:= rm -rf
	endif
endif

serialsniff: serialsniff.c
	$(CC) $? -o $@ $(LDFLAGS) $(CFLAGS) $(MYFLAGS)

clean:
	$(REMOVE)  serialsniff *~ *.o *.bak core tags shar a.out

=== debian/changelog ===
chirp (1:20250912-1) unstable; urgency=medium

  * New upstream version 20250912
  * Remove distutils and experttune patches, applied by upstream
  * Remove chirp/detect from d/copyright

 -- Dave Hibberd <hibby@debian.org>  Thu, 25 Sep 2025 22:21:49 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-setuptools,
  python3-suds
 X-Python3-Version: >= 3.10, << 4.0
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/chirp
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/chirp.git
 Homepage: https://chirpmyradio.com/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# skip tests until upstream python3 migration is complete

execute_after_dh_auto_install:
	find debian/chirp/usr/lib -type f -name chirp.ico -delete
	find debian/chirp/usr/lib -type f -name *.png -delete

=== debian/watch ===
version=4
https://archive.chirpmyradio.com/chirp_next/next-(\d.*)/ chirp-(\d.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## chirp 20251108

=== debian/changelog ===
chirp (1:20251108-1) unstable; urgency=medium

  * Add V5 debian/watch
  * New upstream version 20251108

 -- Dave Hibberd <hibby@debian.org>  Tue, 11 Nov 2025 22:48:05 +0000

=== debian/watch ===
Version: 5

Source: https://archive.chirpmyradio.com/chirp_next/next-@ANY_VERSION@/
Matching-Pattern: chirp-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: none
